Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iLibReader

    java.lang.Object
      |
      +--s2iSpiceReader
            |
            +--s2iLibReader

public class s2iLibReader
extends s2iSpiceReader

A class for reading Spice library files, which contain .LIB and .MODEL keywords.

Author:
  Anish Malhotra, Cadence Design Systems

Fields inherited from class s2iSpiceReader
`buf_reader, buf_writer, curLineBuff, fileName, nxtLine, reader, writer`

Constructor Summary
`s2iLibReader(java.lang.String inFile)` Construct a LibReader that reads a file and returns info
`s2iLibReader(java.lang.String inFile, java.lang.String outFile)` Construct a LibReader that reads a file and writes to another file.

Method Summary
`java.util.Enumeration` | `getEntryNames()` Get the list of file names appearing on Spice .LIB lines.
`java.util.Enumeration` | `getModelNames()` Get the list of names appearing on Spice .MODEL lines.
`static void` | `main(java.lang.String[] args)` A main method for testing this class.

Methods inherited from class s2iSpiceReader
`allLnI_Exist, CheckBydump, close, finalize, findSpiceLineType, frontTrim, getIncludeFiles, getSpiceLine, getSubcktDefs, getSubckts, joinSpiceLine`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### s2iLibReader

    public s2iLibReader(java.lang.String inFile)
                 throws java.io.FileNotFoundException

  Construct a LibReader that reads a file and returns info
  Parameters:
    `inFile` - The Spice file to read

### s2iLibReader

    public s2iLibReader(java.lang.String inFile,
                        java.lang.String outFile)
                 throws java.io.FileNotFoundException,
                        java.io.IOException

  Construct a LibReader that reads a file and writes to another file.
  Parameters:
    `inFile` - The Spice file to read
    `outFile` - The Spice file to write

Method Detail

### getModelNames

    public java.util.Enumeration getModelNames()
                                        throws java.io.IOException

  Get the list of names appearing on Spice .MODEL lines.
  Returns:
    The Enumeration of model names
  Throws:
    java.io.IOException -

### getEntryNames

    public java.util.Enumeration getEntryNames()
                                        throws java.io.IOException

  Get the list of file names appearing on Spice .LIB lines.
  Returns:
    The Enumeration of file names
  Throws:
    java.io.IOException -

### main

    public static void main(java.lang.String[] args)

  A main method for testing this class. Usage: s2iLibReader []
  Parameters:
    `args` - 1 or 2 file names are required

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD